from setuptools import setup

setup(
    name="libbot",
    version="0.1",
    author="Profitroll",
    description="Universal bot library with functions needed for basic Discord/Telegram bot development.",
    long_description="Universal bot library with functions needed for basic Discord/Telegram bot development.",
    long_description_content_type="text/markdown",
    author_email="profitroll@end-play.xyz",
    url="https://git.end-play.xyz/profitroll/LibBotUniversal",
    project_urls={
        "Bug Tracker": "https://git.end-play.xyz/profitroll/LibBotUniversal/issues",
        "Documentation": "https://git.end-play.xyz/profitroll/LibBotUniversal/wiki",
        "Source Code": "https://git.end-play.xyz/profitroll/LibBotUniversal.git",
    },
    packages=[
        "libbot",
        "libbot.sync",
    ],
    install_requires=["aiofiles~=23.1.0", "ujson==5.7.0"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Utilities",
    ],
)
